Package org.eclipse.net4j.util.security

## Class PasswordCredentials

- java.lang.Object
- - org.eclipse.net4j.util.security.Credentials
  - - org.eclipse.net4j.util.security.PasswordCredentials

- All Implemented Interfaces:
    `ICredentials`, `IPasswordCredentials`, `IUserAware`
  Direct Known Subclasses:
    `PasswordCredentialsUpdate`

      public class PasswordCredentials
      extends Credentials
      implements IPasswordCredentials

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PasswordCredentials​(java.lang.String userID)` |
    `PasswordCredentials​(java.lang.String userID, char[] password)` |
    `PasswordCredentials​(java.lang.String userID, java.lang.String password)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `char[]` | `getPassword()` |
    `void` | `setPassword​(char[] password)` |

    - ### Methods inherited from class org.eclipse.net4j.util.security.Credentials

      `getUserID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

- - ### Constructor Detail

    - #### PasswordCredentials

          public PasswordCredentials​(java.lang.String userID,
                                     char[] password)

    - #### PasswordCredentials

          public PasswordCredentials​(java.lang.String userID,
                                     java.lang.String password)

      Since:
        3.4

    - #### PasswordCredentials

          public PasswordCredentials​(java.lang.String userID)

      Since:
        3.4

  - ### Method Detail

    - #### getPassword

          public char[] getPassword()

      Specified by:
        `getPassword` in interface `IPasswordCredentials`

    - #### setPassword

          public void setPassword​(char[] password)